let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;
// let url_Backend_dwinzo = `http://192.168.0.102:5000`;
export const lockPanel = async (
  zoneUuid: string,
  organization: string,
  lockedPanel: any
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/v2/zones/lockedPanels`,
      {
        method: "PATCH",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify({ organization, zoneUuid, lockedPanel }),
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }


    if (!response.ok) {
      console.error("Failed to Lock Panel in the zone");
    }

    const result = await response.json();
    return result;
  } catch (error) {
    echo.error("Failed to fetch locked panel data");
    if (error instanceof Error) {
      console.log(error.message);
    } else {
      console.log("An unknown error occurred");
    }
  }
};
